Bug 101976 - tcl-devel buildreq missing
tcl-devel buildreq missing
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xchat (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-08 10:48 EDT by Michael Redinger
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-21 14:00:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2003-08-08 10:48:22 EDT
The xchat-2.0.3-1.EL.src.rpm package is missing a buildrequires: tcl-devel line
as it does not successfully if this package is not available:


gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/include -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I./.. -I/usr/kerberos/include
-I/usr/kerberos/include -O2 -g -pipe -march=i386 -mcpu=i686 -D_REENTRANT
-D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DDEBUGGING -fno-strict-aliasing
-I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
-I/usr/include/gdbm -I/usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE
-I/usr/kerberos/include -Wall -I/usr/kerberos/include -I/usr/kerberos/include -c
tclplugin.c -MT tclplugin.lo -MD -MP -MF .deps/tclplugin.TPlo  -fPIC -DPIC -o
tclplugin.lo
tclplugin.c:26:17: tcl.h: No such file or directory
tclplugin.c:27:22: tclDecls.h: No such file or directory
In file included from tclplugin.c:35:
tclplugin.h:58: syntax error before "cd"
tclplugin.h:59: syntax error before "cd"
tclplugin.h:60: syntax error before "cd"
tclplugin.h:61: syntax error before "cd"
tclplugin.h:62: syntax error before "cd"
tclplugin.h:63: syntax error before "cd"
tclplugin.h:64: syntax error before "cd"
tclplugin.h:65: syntax error before "cd"
tclplugin.h:66: syntax error before "cd"
tclplugin.h:67: syntax error before "cd"
tclplugin.h:68: syntax error before "cd"
tclplugin.h:69: syntax error before "cd"
tclplugin.h:70: syntax error before "cd"
tclplugin.h:71: syntax error before "cd"
tclplugin.h:72: syntax error before "cd"
tclplugin.h:73: syntax error before "cd"
tclplugin.h:74: syntax error before "cd"
tclplugin.h:75: syntax error before "cd"
tclplugin.h:76: syntax error before "cd"
tclplugin.h:77: syntax error before "cd"
tclplugin.h:78: syntax error before "cd"
tclplugin.h:79: syntax error before "cd"
tclplugin.h:80: syntax error before "cd"
tclplugin.h:81: syntax error before "cd"
tclplugin.h:82: syntax error before "cd"
tclplugin.h:83: syntax error before "cd"
tclplugin.h:84: syntax error before "cd"
tclplugin.h:85: syntax error before "cd"
tclplugin.h:86: syntax error before "cd"
tclplugin.c:44: syntax error before '*' token
tclplugin.c:44: warning: type defaults to `int' in declaration of `interp'
tclplugin.c:44: warning: data definition has no type or storage class
...
Comment 1 Mike A. Harris 2003-08-08 18:16:35 EDT
We intentionally do not ship the TCL plugin, so the BuildRequires should not
be added at all.  If it is trying to build the TCL plugin, that however would
be a bug needing fixing as it should not be building the TCL plugin at all.

Thanks for the report.
Comment 2 Daniel Reed 2004-05-21 14:00:35 EDT
Please reopen if there are still issues pending.

Note You need to log in before you can comment on or make changes to this bug.